summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNguyen Thai Ngoc Duy <pclouds@gentoo.org>2007-01-04 19:00:47 +0000
committerNguyen Thai Ngoc Duy <pclouds@gentoo.org>2007-01-04 19:00:47 +0000
commit6a99d22ed9eb3b64b3f24f5f766e062e59f2162a (patch)
tree41bec3fbebca790f180827d03aca0d63aee44046 /eclass/gems.eclass
parentFix broken autotools handling. (diff)
downloadgentoo-2-6a99d22ed9eb3b64b3f24f5f766e062e59f2162a.tar.gz
gentoo-2-6a99d22ed9eb3b64b3f24f5f766e062e59f2162a.tar.bz2
gentoo-2-6a99d22ed9eb3b64b3f24f5f766e062e59f2162a.zip
show gem command line if gem installation fails
Diffstat (limited to 'eclass/gems.eclass')
-rw-r--r--eclass/gems.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/gems.eclass b/eclass/gems.eclass
index f5140f65c91a..b5b9629b48e5 100644
--- a/eclass/gems.eclass
+++ b/eclass/gems.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gems.eclass,v 1.12 2007/01/04 05:43:52 pclouds Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gems.eclass,v 1.13 2007/01/04 19:00:47 pclouds Exp $
#
# Author: Rob Cakebread <pythonhead@gentoo.org>
# Current Maintainer: Ruby Herd <ruby@gentoo.org>
@@ -68,7 +68,7 @@ gems_src_install() {
dodir ${GEMSDIR}
- gem install ${GEM_SRC} -v ${PV} ${myconf} -l -i ${D}/${GEMSDIR} || die "gem install failed"
+ gem install ${GEM_SRC} -v ${PV} ${myconf} -l -i ${D}/${GEMSDIR} || die "gem install failed: gem-$(gem --version) install ${GEM_SRC} -v ${PV} ${myconf} -l -i ${D}/${GEMSDIR}"
# This is a workaround for <=rubygems-0.9.0.8 because it's exitstatus equals 0
# even if the dependencies are not found. So we are testing if rubygems at